Bug 1218750 - packstack needs to handle rdo-testing repos for RDO >= Kilo
packstack needs to handle rdo-testing repos for RDO >= Kilo
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
Kilo
Unspecified Unspecified
unspecified Severity medium
: ---
: Kilo
Assigned To: Ivan Chavero
Ido Ovadia
:
: 1218744 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-05 14:34 EDT by Boris Derzhavets
Modified: 2015-07-30 20:21 EDT (History)
8 users (show)

See Also:
Fixed In Version: openstack-packstack-2015.1-0.4.dev1537.gba5183c
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-30 20:21:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Answe-file been used for deployment (5.53 KB, text/plain)
2015-05-05 14:34 EDT, Boris Derzhavets
no flags Details
openstack-setup.log ( nova-compute failure on Compute Node) (2.42 KB, application/x-gzip)
2015-05-07 14:09 EDT, Boris Derzhavets
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 183351 None None None Never

  None (edit)
Description Boris Derzhavets 2015-05-05 14:34:15 EDT
Created attachment 1022292 [details]
Answe-file been used for deployment

Description of problem:

Failure to start nova-compute on Compute Node

Version-Release number of selected component (if applicable):



How reproducible:

Follow https://www.rdoproject.org/RDO_test_day_Kilo#How_To_Test
with simple Controller&& Network and Compute Node deployment

Steps to Reproduce:
1. Follow https://www.rdoproject.org/RDO_test_day_Kilo#How_To_Test
2. packstack --answer-file=answer-fileTest.txt
3. Wait until 192.169.142.137_nova.pp will start

Actual results:

Failure to yum install openstack-ceilometer on Compute Node
Failure start nova-compute

Expected results:

Everything what needed get installed, nova-compute starts

Additional info:

Workaround is same as for RC2

Install on compute node  same repos as on controller via openstack-testing-kilo.rpm
Comment 1 Boris Derzhavets 2015-05-05 14:39:50 EDT
Version-Release number of selected component (if applicable):

openstack-packstack-2015.1-0.1.dev1537.gba5183c.el7.noarch
openstack-packstack-puppet-2015.1-0.1.dev1537.gba5183c.el7.noarch
Comment 2 Javier Peña 2015-05-07 12:12:47 EDT
Is this issue reproducible? Failing to install openstack-ceilometer looks like a transient network/repo issue to me.

If the packstack logs are available (under /var/tmp/packstack), they would be really helpful for troubleshooting.
Comment 3 Boris Derzhavets 2015-05-07 14:07:38 EDT
Reproduced: -
Applying 192.169.142.127_nova.pp
Applying 192.169.142.137_nova.pp
192.169.142.137_nova.pp:                          [ ERROR ]        
Applying Puppet manifests                         [ ERROR ]

ERROR : Error appeared during Puppet run: 192.169.142.137_nova.pp
Error: Execution of '/usr/bin/yum -d 0 -e 0 -y list openstack-ceilometer-compute' returned 1: Error: No matching Packages to list

Moreover, actually , running on Compute :-

yum install http://rdoproject.org/repos/openstack-kilo/rdo-testing-kilo.rpm

is also workaround for https://bugzilla.redhat.com/show_bug.cgi?id=1218744
Comment 4 Boris Derzhavets 2015-05-07 14:09:50 EDT
Created attachment 1023222 [details]
openstack-setup.log ( nova-compute failure on Compute Node)
Comment 5 Javier Peña 2015-05-08 04:23:24 EDT
From comment #3 and the log files, I think I understand what the issue was. 

The RDO repositories need to be enabled on all servers before running packstack, not only on the controller node. I have looked at the RDO Quickstart page, and it is not explicitly specified, but that is the requirement.
Comment 6 Boris Derzhavets 2015-05-08 08:30:30 EDT
Due it was not required for RDO Juno, I believe it *must*  be explicitly specified on Quick Page to avoid confusion. I was able to handle this change only due to RC2 && Delorian RDO setups experience.
Comment 7 Alan Pevec 2015-05-08 09:35:36 EDT
One more on report https://etherpad.openstack.org/p/rdo_kilo_test_day

AIO worked great with CentOS 7.1.  I added a compute node into the setup and Packstack dies on the prescript run with: "PuppetError: Error appeared during Puppet run: 192.168.80.31_prescript.ppError: Execution of '/usr/bin/yum -d 0 -e 0 -y list openstack-selinux' returned 1: Error: No matching Packages to list"
UPDATE: I manually copied over the /etc/yum.repo.d/rdo-testing.repo file from the already-deployed AIO node to the compute node and it moved past that error.
Comment 8 Alan Pevec 2015-05-08 09:38:37 EDT
packstack has rdo-release RPM name hardcoded in prescript_000.py
Testing repo will stay for pending updates (like Fedora updates-testing) so need to figure out how packstack can handle it.
Comment 9 Javier Peña 2015-05-08 09:49:54 EDT
I was wrong in comment #5, packstack does indeed enable RDO repos for additional nodes.

We still need to figure out a good way to fix this.
Comment 10 Alan Pevec 2015-05-08 14:44:49 EDT
*** Bug 1218744 has been marked as a duplicate of this bug. ***
Comment 11 Ivan Chavero 2015-05-11 20:42:30 EDT
packstack enables RDO only if it's prevously installed ¿should we do the same with rdo-testing?
Comment 12 Alan Pevec 2015-05-12 04:40:32 EDT
> packstack enables RDO only if it's prevously installed ¿should we do the
> same with rdo-testing?

Hold on, I'm rethinking rdo-testing story, it should work like in Fedora i.e. rdo-release will install both release (enabled by default) and testing (disabled by default) repos, so testing updates can be enabled by --enablerepo.
Comment 13 Alan Pevec 2015-05-12 11:23:26 EDT
> i.e. rdo-release will install both release (enabled by default) and testing
> (disabled by default) repos

This part is now done in rdo-release-kilo-1 rpm
https://github.com/redhat-openstack/rdo-release/tree/kilo-1
Comment 14 Javier Peña 2015-05-12 11:32:16 EDT
(In reply to Alan Pevec from comment #13)
> > i.e. rdo-release will install both release (enabled by default) and testing
> > (disabled by default) repos
> 
> This part is now done in rdo-release-kilo-1 rpm
> https://github.com/redhat-openstack/rdo-release/tree/kilo-1

Looking at how the rdo-testing repo is created, maybe the solution would be to have a new parameter for packstack (CONFIG_ENABLE_RDO_TESTING, for example), that would enable the testing repo on all machines if set to 'y'.

Alan, Iván, what do you think?
Comment 15 Ivan Chavero 2015-05-12 14:17:16 EDT
That sounds good, i'm gonna create a proof of concept patch
Comment 16 Alan Pevec 2015-05-13 04:21:08 EDT
ack
Comment 17 Ivan Chavero 2015-05-15 18:50:56 EDT
Added patch for enabling the RDO Testing repo

Note You need to log in before you can comment on or make changes to this bug.